summaryrefslogtreecommitdiff
path: root/tests/tail-2/proc-ksyms
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2001-11-13 10:19:09 +0000
committerJim Meyering <jim@meyering.net>2001-11-13 10:19:09 +0000
commit0c583dd6475c620ff43ba238361eff7187ad7e15 (patch)
tree35c190e998fbc48a5c3a315862090d66937e9606 /tests/tail-2/proc-ksyms
parent5579ee544c18c78176474c1a0266ec25630e0980 (diff)
downloadcoreutils-0c583dd6475c620ff43ba238361eff7187ad7e15.tar.xz
*** empty log message ***
Diffstat (limited to 'tests/tail-2/proc-ksyms')
-rwxr-xr-xtests/tail-2/proc-ksyms21
1 files changed, 21 insertions, 0 deletions
diff --git a/tests/tail-2/proc-ksyms b/tests/tail-2/proc-ksyms
new file mode 100755
index 000000000..810efd51d
--- /dev/null
+++ b/tests/tail-2/proc-ksyms
@@ -0,0 +1,21 @@
+#!/bin/sh
+# `tail /proc/ksyms' would segfault on Linux.
+
+if test "$VERBOSE" = yes; then
+ set -x
+ tail --version
+fi
+
+pwd=`pwd`
+tmp=proc-ksyms.$$
+trap 'status=$?; cd $pwd; rm -rf $tmp && exit $status' 0
+trap '(exit $?); exit' 1 2 13 15
+
+fail=0
+
+ksyms=/proc/ksyms
+if test -f $ksyms; then
+ tail $ksyms > /dev/null || fail=1
+fi
+
+(exit $fail); exit